Skip to main content

Questions tagged [php8.1]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
1 vote
2 answers
1k views

Argument #1 ($storeId) must be of type int, string given error

I am having a feed which is run every night with crons. My instance is magento 2.4.6-p2. I am using this function to get store id: public function execute() { foreach ($this->...
G. G.'s user avatar
  • 1,191
0 votes
1 answer
262 views

Error 502 or Nginx takes over

Magento Installation and Network Setup: Magento 2.4.6-ps2 (server) with elasticsearch 5.8 (docker) on NGINX server is successfully installed and running on an Oracle Cloud network environment, ...
Debbie's user avatar
  • 101
0 votes
0 answers
72 views

Magento2 How to reduce file size of invoice pdf (need to support Chinese and Korean characters)?

Because Magento OOTB can not support Chinese and Korean characters, so I use the external font file (this font https://fonts.google.com/noto/specimen/Noto+Serif+HK?noto.query=Noto+Serif+HK) to do this....
Zoe's user avatar
  • 61
0 votes
1 answer
570 views

Class Zend Not Found in Magento 2 – Fix All Zend Errors

Class Zend not found in magento now. So for that, we have fixes for those classes which is currently using the same but we want to upgrade in latest magento 2.4.X versions. common errors of Zend: ...
RONTECH DEFTH's user avatar
0 votes
0 answers
30 views

How to add ext_order_id using increment_id

What is a correct way to implement dependency injection for adding ext_order_id in existing order using its increment_id? I need to include it in existing php script of 3rd party module…
Twisted_Jar's user avatar
3 votes
2 answers
975 views

magento 2.4.6 installation failed due to Plugin initialization failed (require(app/etc/NonComposerComponentRegistration.php): Failed to open stream

PHP version: 8.1 composer: 2.2.0 Trying to fresh installed Magento open source 2.4.6 using the below command composer create-project --repository-url=https://repo.magento.com/ magento/project-...
Amit Bera's user avatar
  • 77.6k
1 vote
2 answers
814 views

TypeError: str_replace(): Argument must be of type array|string, null given

I am getting the below error: main.CRITICAL: TypeError: str_replace(): Argument #3 ($subject) must be of type array|string, null given In the following code: public function beforeSendResponse(Http $...
G. G.'s user avatar
  • 1,191
0 votes
2 answers
68 views

sudo php bin/magento module:status didn't run?

I was trying to run this command but the error raised like this PHP Warning: require(/var/www/medical/bin/../app/bootstrap.php): Failed to open stream: No such file or directory in /var/www/medical/...
Ansari's user avatar
  • 437
0 votes
8 answers
3k views

installed magento 2.4.6 and running php 8.1 but the frontend still asking for php 8.1.0 or later

I have magento 2.4.6 installed on my server and running php 8.1.18. (upgraded from 2.4.3) when I open the main page, I'm getting this message : Can anyone help me how to fix this? Thank you.
user9814's user avatar
0 votes
1 answer
191 views

Add magento 2 module in ubuntu error

Repositories code generation... 1/9 [===>------------------------] 11% < 1 sec 117.0 MiBsyntax error, unexpected token "&", expecting "function" or "const"#0 /...
Noor Mohamed's user avatar